do
   local MyUnitIdTable = {
--AEONS	  
	  'uaow1101',
	  'uaow0101',
	  'uaow1102',
	  'uaow1103',
	  'uabw0401',
	  'uaow2109',
	  'uaow2001',
	  'uab0401',
--Cybran 
	  'urow1101',
	  'urow0101',
	  'urow1102',
	  'urow1103',
	  'urb0401',
	  'uro2109',
	  'uro2001',	
--UEF 
	  'ueow1101',
	  'ueow1102',
	  'ueow1103',	
	  'ueow0101',
      'ueo0105',
      'uob2101',
      'ueb0401',	  
   }


   local MyIconPath = "/Mods/OrbitalWarsMod"

   local oldFileNameFn = GetUnitIconFileNames
   
   local function IsMyUnit(bpid)
      for i, v in MyUnitIdTable do
         if v == bpid then
            return true
         end
      end
      return false
   end
   
   function GetUnitIconFileNames(blueprint)
      if IsMyUnit(blueprint.Display.IconName) then
         local iconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local upIconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local downIconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local overIconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         
         if DiskGetFileInfo(iconName) == false then
            WARN('Blueprint icon for unit '.. blueprint.Display.IconName ..' could not be found, check your file path and icon names!')
            iconName = '/textures/ui/common/icons/units/default_icon.dds'
            upIconName = '/textures/ui/common/icons/units/default_icon.dds'
            downIconName = '/textures/ui/common/icons/units/default_icon.dds'
            overIconName = '/textures/ui/common/icons/units/default_icon.dds'
         end
         return iconName, upIconName, downIconName, overIconName
      else
         return oldFileNameFn(blueprint)
      end
   end
end