#****************************************************************************
#**
#**  File     :  /units/UAOW1103/UAOW1103_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  UAOW1103 Aeon spaceships
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local ASeaUnit = import('/lua/aeonunits.lua').ASeaUnit
local AAirUnit = import('/lua/aeonunits.lua').AAirUnit
local WeaponsFile = import('/Mods/OrbitalWarsMod/hook/lua/modweapons.lua')
local ADFCannonQuantum01Weapon = WeaponsFile.ADFCannonQuantum01Weapon
local EffectTemplate = import('/lua/EffectTemplates.lua')


UAOW1103 = Class(AAirUnit) {

    Weapons = {
        MainGun = Class(ADFCannonQuantum01Weapon) {
            FxMuzzleFlash = EffectTemplate.AQuantumCannonMuzzle02,
			FxMuzzleFlashScale = 5,
        },
        MainGun2 = Class(ADFCannonQuantum01Weapon) {
        },
    },
}

TypeClass = UAOW1103
