#****************************************************************************
#**
#**  File     :  /units/URO2109/URO2109_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Cybran Anti Orbit Light
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CStructureUnit = import('/lua/cybranunits.lua').CStructureUnit

local CybranWeaponsFile = import('/lua/cybranweapons.lua')
local CDFLaserHeavyWeapon = CybranWeaponsFile.CDFLaserHeavyWeapon
local EffectUtil = import('/lua/EffectUtilities.lua')

URO2109 = Class(CStructureUnit) {
    Weapons = {
        Turret01 = Class(CDFLaserHeavyWeapon) {},
    },
}

TypeClass = URO2109