#****************************************************************************
#**
#**  File     :  /Mods/units/UEOW1103/UEOW1103_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix  
#**					Modified By Asdrubaelvect
#**  Summary  :  UEF Vaisseau de soutien au sol
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************


local TAirUnit = import('/lua/terranunits.lua').TAirUnit

local TDFLightPlasmaCannon01Weapon = import('/Mods/OrbitalWarsMod/hook/lua/modweapons.lua').TDFLightPlasmaCannon01Weapon
local TDFHeavyPlasmaCannon01Weapon = import('/Mods/OrbitalWarsMod/hook/lua/modweapons.lua').TDFHeavyPlasmaCannon01Weapon

UEOW1103 = Class(TAirUnit) {

    Weapons = {
        AntiOrbitLeg = Class(TDFHeavyPlasmaCannon01Weapon) {},
        PlasmaGun = Class(TDFLightPlasmaCannon01Weapon) {}
    },
}


TypeClass = UEOW1103